> For the complete documentation index, see [llms.txt](https://developer.dashdoc.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.dashdoc.com/docs/api-reference/tags.md).

# Tags

## List tags

> Returns a paginated list of all tags belonging to the authenticated company's group view.\
> \
> Tags can be used to categorize and filter transports.<br>

````json
{"openapi":"3.0.0","info":{"title":"Dashdoc public API","version":"4.0"},"tags":[{"name":"Tags"}],"servers":[{"description":"Production","url":"https://api.dashdoc.eu/api/v4"},{"description":"Sandbox","url":"https://sandbox.dashdoc.eu/api/v4"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"description":"Authentication is token based. You can issue a token for your API request from the ['API' section of the settings](http://dashdoc.eu/app/settings/api/) menu. The token MUST be sent in a `Authorization` header with each request.\n\n\n**Example of authenticated request**\n```\n$ curl -X GET -H \"Authorization: Token <your token>\" \"https://api.dashdoc.eu/api/v4/\"\n```\n","in":"header","name":"Authentication","type":"apiKey"}},"schemas":{"Tags":{"properties":{"count":{"description":"Total number of tags","type":"integer"},"next":{"description":"URL to the next page of results","nullable":true,"type":"string"},"previous":{"description":"URL to the previous page of results","nullable":true,"type":"string"},"results":{"items":{"$ref":"#/components/schemas/Tag"},"type":"array"}},"type":"object"},"Tag":{"properties":{"pk":{"description":"The unique identifier of the tag","type":"integer"},"name":{"description":"The name of the tag","type":"string"},"color":{"description":"The color of the tag in hex format","type":"string"},"tag_group_id":{"description":"The ID of the tag group this tag belongs to, if any","nullable":true,"type":"integer"}},"required":["color","name","pk"],"type":"object"}}},"paths":{"/tags/":{"get":{"description":"Returns a paginated list of all tags belonging to the authenticated company's group view.\n\nTags can be used to categorize and filter transports.\n","operationId":"listTags","parameters":[{"description":"A page number within the paginated result set.","in":"query","name":"page","required":false,"schema":{"type":"integer"}},{"description":"Filter tags by name (case-insensitive search)","in":"query","name":"text","required":false,"schema":{"type":"string"}},{"description":"Order results. Use `name` for alphabetical ordering (default),\nor `by_group` for group-aware ordering (grouped tags first, then ungrouped).\n","in":"query","name":"ordering","required":false,"schema":{"enum":["name","-name","by_group"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Tags"}}},"description":"List of tags"}},"summary":"List tags","tags":["Tags"]}}}}
````
